\name{TSSSomp-package}
\alias{TSSSomp-package}
\alias{TSSSomp}
\docType{package}

\title{
Parallel Computation in TSSS
}
\description{
An extension of part of package TSSS using openMP.
}
\details{
This package contains four parallelized functions in package TSSS (i.e., tvar(), tvvar(), pfilter() and pfilterNL()) using OpenMP.
}
\references{
  Kitagawa, G. and Gersch, W. (1996)
  \emph{Smoothness Priors Analysis of Time Series}. Lecture Notes in Statistics,
  No.116, Springer-Verlag.

  Kitagawa, G. (2020)
  \emph{Introduction to Time Series Modeling with Applications in R}. Chapman & Hall/CRC.

  Kitagawa, G. (2020)
  \emph{Introduction to Time Series Modeling with R (in Japanese)}.
  Iwanami Publishing Company.
}
\keyword{package}


