/*
*  TSSS : R Package for Time Series Analysis with State Space Model
*  Copyright (C) 2013    The Institute of Statistical Mathematics
*
*    This program is free software; you can redistribute it and/or modify
*    it under the terms of the GNU General Public License as published by
*    the Free Software Foundation; either version 2 of the License, or
*    (at your option) any later version.
*
*    This program is distributed in the hope that it will be useful,
*    but WITHOUT ANY WARRANTY; without even the implied warranty of
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*    GNU General Public License for more details.
*
*    You should have received a copy of the GNU General Public License
*    along with this program; if not, write to the Free Software
*    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.
*
*
*  ismrp at grp.ism.ac.jp
*/

#include <R.h>
#include <Rinternals.h>
#include <libintl.h>
#define _(String) (String)

/* Fortran : */

void F77_NAME(pfiltomp)(double *y, int *n, int *m, int *model, int *lag,
              int *inid, double *sig2, double *tau2, double *alpha,
		 	  double *bigtau2, double *sig2i, double *xmin, double *xmax,
			  int *ix, double *t, double *ff);

void F77_NAME(pftnlomp)(double *y, int *n, int *m, int *lag, double *sig2,
              double *tau2, double *xmin, double *xmax, int *ix, double *t,
		      double *ff);

void F77_NAME(tvvaromp)(double *y, int *n, int *m, double *tau20, int *iopt,
              double *delta, double *tvvar, double *nordat, double *y1, int *n1,
			  double *trend, double *noise, double *taumax, double *sig2m,
              double *ffmax, double *aic);

void F77_NAME(tvaromp)(double *y, int *n, int *arorder, int *torder, int *span,
              int *method, int *nout, int *outlier, double *tau20,
              double *delta, double *tau2, double *sigma2, double *lkhood,
              double *aic, double *arcoef, double *parcor);
